Categories:
  - System
License: GPL-2.0-or-later
AuthorName: Kevin Buzeau
SourceCode: https://github.com/Nain57/Smart-AutoClicker
IssueTracker: https://github.com/Nain57/Smart-AutoClicker/issues
Changelog: https://github.com/Nain57/Smart-AutoClicker/releases

AutoName: Smart AutoClicker

RepoType: git
Repo: https://github.com/Nain57/Smart-AutoClicker

Builds:
  - versionName: 1.0-RC1
    versionCode: 2
    commit: 1.0-RC1
    subdir: smartautoclicker
    gradle:
      - yes

  - versionName: 1.0-RC2
    versionCode: 3
    commit: 1.0-RC2
    subdir: smartautoclicker
    gradle:
      - yes

  - versionName: 1.0-RC3
    versionCode: 4
    commit: 1.0-RC3
    subdir: smartautoclicker
    gradle:
      - yes

  - versionName: 1.0-RC4
    versionCode: 5
    commit: 537961fd0df98bce3f5df042075458bc8bd4adaf
    subdir: smartautoclicker
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 6
    commit: dfcd1df4e1d347aa6284a0aed8339a52ee7f710e
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 7
    commit: 2d6264c85ab30d6026dfb7775e81ef786539a4bf
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 8
    commit: ed6c2fcde0ffe878f0f5f2f1f672805a6dff4be9
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 9
    commit: 1b7984f67beadd715e90ac3277317213ef5769d7
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.2
    versionCode: 10
    commit: 25e0693c22db980c9853773353f13b5bb4d4ccf2
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.3
    versionCode: 11
    commit: cf2d276b042cf7d5c5f4cdee5a843d9c76b41b4b
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.4
    versionCode: 12
    commit: 58722a6a2b66a5057d1b2c09f23e456ea59156f8
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 14
    commit: dca78d0dee1172c67258d2a0bd85834d76c692a4
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - detection/src/debug

  - versionName: 1.4.0
    versionCode: 15
    commit: e64dc1b5bd54b964b783247c7640af5bdf2dff72
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - detection/src/debug

  - versionName: 1.5.0
    versionCode: 16
    commit: f7a14052cb1d3c652f97b73a6aa3c67fcdc326d9
    subdir: smartautoclicker
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - detection/src/debug

AutoUpdateMode: Version
UpdateCheckMode: Tags ^[0-9.]*(|-RC[0-9])$
CurrentVersion: 1.5.0
CurrentVersionCode: 16
